/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VImportConfigTree;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VImportConfigTreeRecord extends TableRecordImpl<VImportConfigTreeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_import_config_tree.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_import_config_tree.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_import_config_tree.fk_import_config</code>.
     */
    public void setFkImportConfig(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_import_config_tree.fk_import_config</code>.
     */
    public Integer getFkImportConfig() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_import_config_tree.module</code>.
     */
    public void setModule(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_import_config_tree.module</code>.
     */
    public String getModule() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_import_config_tree.name</code>.
     */
    public void setName(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_import_config_tree.name</code>.
     */
    public String getName() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_import_config_tree.value</code>.
     */
    public void setValue(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_import_config_tree.value</code>.
     */
    public String getValue() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VImportConfigTreeRecord
     */
    public VImportConfigTreeRecord() {
        super(VImportConfigTree.V_IMPORT_CONFIG_TREE);
    }

    /**
     * Create a detached, initialised VImportConfigTreeRecord
     */
    public VImportConfigTreeRecord(Integer pk, Integer fkImportConfig, String module, String name, String value) {
        super(VImportConfigTree.V_IMPORT_CONFIG_TREE);

        setPk(pk);
        setFkImportConfig(fkImportConfig);
        setModule(module);
        setName(name);
        setValue(value);
        resetChangedOnNotNull();
    }
}
